Admin/Mercurial/convert
changeset 27444 a487aa892540
child 27457 a701c0b951d8
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/Admin/Mercurial/convert	Wed Jul 02 19:52:38 2008 +0200
@@ -0,0 +1,26 @@
+#!/bin/bash
+# $Id$
+
+THIS="$(cd "$(dirname "$0")"; pwd)"
+SUPER="$(cd "$THIS/.."; pwd)"
+
+cd "$THIS/cvs"
+cvs up -dAP || exit 2
+
+
+case $(hostname) in
+
+atbroy51)
+MERCURIAL=/home/isabelle/html-data/isabelle-repos/mercurial-atbroy51/bin/hg
+export PYTHONPATH=/home/isabelle/html-data/isabelle-repos/mercurial-atbroy51/lib/python2.4/site-packages
+;;
+
+atbroy100)
+MERCURIAL=/home/isabelle/html-data/isabelle-repos/mercurial-atbroy100/bin/hg
+export PYTHONPATH=/home/isabelle/html-data/isabelle-repos/mercurial-atbroy100/lib64/python2.4/site-packages
+;;
+
+esac
+
+cd "$THIS"
+"$MERCURIAL" convert --filemap cvs/Admin/Mercurial/filemap cvs hg